## probcons 1.10

=== Makefile ===
################################################################################
# Makefile for probcons
################################################################################

################################################################################
# 1) Choose C++ compiler.
################################################################################

CXX = g++

################################################################################
# 2) Set C++ flags.
#    a) DEBUG mode -- no optimizations, enable SafeVector checking, no inlining
#    b) PROFILE mode -- for gprof
#    c) RELEASE mode
################################################################################

OTHERFLAGS = -DNumInsertStates=2 -DVERSION="1.10"

# debug mode    
#CXXFLAGS = -g -W -Wall -pedantic -DENABLE_CHECKS -fno-inline $(OTHERFLAGS)

# profile mode
#CXXFLAGS = -pg -W -Wall -pedantic $(OTHERFLAGS)

# release mode
#CXXFLAGS = -O3 -W -Wall -pedantic -DNDEBUG $(OTHERFLAGS) -mmmx -msse -msse2 -mfpmath=sse -march=pentium4 -mcpu=pentium4 -funroll-loops -fomit-frame-pointer 
CXXFLAGS = -O3 -W -Wall -pedantic -DNDEBUG $(OTHERFLAGS) -funroll-loops

################################################################################
# 3) Dependencies
################################################################################

TARGETS = probcons compare project makegnuplot

.PHONY : all
all : $(TARGETS)

probcons : MultiSequence.h ProbabilisticModel.h ScoreType.h Sequence.h FileBuffer.h SparseMatrix.h EvolutionaryTree.h Defaults.h SafeVector.h Main.cc
	$(CXX) $(CXXFLAGS) -lm -o probcons Main.cc 

compare : MultiSequence.h Sequence.h FileBuffer.h SafeVector.h CompareToRef.cc
	$(CXX) $(CXXFLAGS) -o compare CompareToRef.cc

fixref : MultiSequence.h ProbabilisticModel.h ScoreType.h Sequence.h FileBuffer.h SparseMatrix.h EvolutionaryTree.h Defaults.h SafeVector.h FixRef.cc
	$(CXX) $(CXXFLAGS) -o fixref FixRef.cc

project : MultiSequence.h Sequence.h SafeVector.h ProjectPairwise.cc
	$(CXX) $(CXXFLAGS) -o project ProjectPairwise.cc

makegnuplot : MakeGnuPlot.cc
	$(CXX) $(CXXFLAGS) -o makegnuplot MakeGnuPlot.cc

.PHONY : clean
clean:
	rm -f $(TARGETS)

## probcons 1.11

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #    c) RELEASE mode
 ################################################################################
 
-OTHERFLAGS = -DNumInsertStates=2 -DVERSION="1.10"
+OTHERFLAGS = -DNumInsertStates=2 -DVERSION="1.11"
 
 # debug mode    
 #CXXFLAGS = -g -W -Wall -pedantic -DENABLE_CHECKS -fno-inline $(OTHERFLAGS)

## probcons 1.12

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #    c) RELEASE mode
 ################################################################################
 
-OTHERFLAGS = -DNumInsertStates=2 -DVERSION="1.11"
+OTHERFLAGS = -DNumInsertStates=2 -DVERSION="1.12"
 
 # debug mode    
 #CXXFLAGS = -g -W -Wall -pedantic -DENABLE_CHECKS -fno-inline $(OTHERFLAGS)

=== debian/changelog ===
probcons (1.12-10) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * DEP5 fix
  * DEP3 fix
  * Propagate hardening options
  * spelling in manpage
  * Fix Mayhem bugs
    Closes: #716581, #716505

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2015 21:23:03 +0100

probcons (1.12-9) unstable; urgency=low

  [ Charles Plessy ]
  * renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * debian/upstream: Moved DOI+PMID to references
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
  * debian/copyright: Uhmm, this package had no copyright file at all!
  * debian/README.source: deleted redundant handling advises for quilt
  * debian/{compat,control}: debhelper 9

 -- Andreas Tille <tille@debian.org>  Tue, 03 Apr 2012 22:19:58 +0200

probcons (1.12-8) unstable; urgency=low

  * Standards-Version: 3.9.2 (no changes needed)
  * debian/patches/fix-gcc-4.6.patch: Fix gcc-4.6 build issue
    Closes: #625036

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2011 17:18:09 +0200

probcons (1.12-7) unstable; urgency=low

  * Use dh for debian/rules, which will also switch off parallel building
    (Closes: #607729, #608710).
  * Switch to Debhelper 8 (debian/control, debian/compat).

 -- Charles Plessy <plessy@debian.org>  Tue, 04 Jan 2011 06:57:45 +0900

probcons (1.12-6) unstable; urgency=low

  * Use proper C++ headers to fix gcc version 4.3 and higher
    issues (thanks for the patch to Matthias Klose)
    Closes: 607728

 -- Andreas Tille <tille@debian.org>  Tue, 21 Dec 2010 21:53:42 +0100

probcons (1.12-5) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control: Enhances: t-coffee.
  * Updated my email address.

  [ David Paleino ]
  * debian/control:
    - bumped Standards-Version to 3.8.0
      + enabled parallel building in debian/rules
    - removed myself from Uploaders (will work from behind the scenes ;) )
    - updated debhelper dependency on >= 6 (also debian/compat)

  [ Charles Plessy ]
  * Documented information in ‘debian/upstream-metadata.yaml’.
  * Removed mention of the bibliographic reference in ‘debian/control’.

  [ Andreas Tille ]
  * Added myself to uploaders
  * Make sure Dm-Uploader-Allowed is lower case
    Closes: #601509
  * Standards-Version: 3.9.1 (no changes needed)
  * Debhelper >= 7
    -> debian/rules: s/dh_clean -k/dh_prep/
  * Source-Format 3.0 (quilt)
  * debian/README.source

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2010 13:22:35 +0100

probcons (1.12-4) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control:
    - Moved the Homepage: field out from the package's description.
    - Allowed upload by Debian Maintainers.
    - Checked the compliance with Policy 3.7.3
  * debian/patches:
    - swiched to quilt
    - added a fix to build with GCC 4.3 (Closes: #455625)
  * debian/rules:
    - modify Main-RNA.cc so that it uses Defaults-RNA.h (Closes: #458926)
  * debian/copyright:
    - converted to machine-readable format.

  [ David Paleino ]
  * debian/probcons.1, debian/probcons-RNA.1, debian/pc-compare.1,
    debian/pc-makegnuplot.1, debian/pc-project.1 added - these
    have been statically built.
  * debian/control:
    - B-D updated
    - added myself to Uploaders
  * debian/rules:
    - manpages statically built
    - minor changes

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Fri, 04 Jan 2008 16:53:23 +0100

probcons (1.12-3) unstable; urgency=low

  * Fixed typos which caused incomplete cleaning (Closes: #424301).
  * Fixed double-building of binaries and manpages.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 16 May 2007 09:35:25 +0900

probcons (1.12-2) unstable; urgency=low

  * Corrected an error in the build rules making probcons-RNA, which
    prevented it to benefit from the fixes on probcons.
    (Closes: #417482) (again!)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 18 Apr 2007 22:34:51 +0900

probcons (1.12-1) unstable; urgency=low

  * New upstream release, buildable with gcc 4.3 (Closes: #417482)
  * Add Subversion repository URL to debian/control.
  * Including /usr/share/dpatch/dpatch.make in debian/rules.
  * Updated manpages using the template of docbook-xsl 1.71.0.dfsg.1-1.1.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed,  4 Apr 2007 09:56:46 +0900

probcons (1.11-1) unstable; urgency=low

  * New upstream release fixing a bug with conflict between --annot and -a
    options.
  * Mended the watch file in the source package.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 14 Feb 2007 23:15:36 +0900

probcons (1.10-1) unstable; urgency=low

  * Initial release Closes: #365499

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed,  3 May 2006 09:20:57 +0900

=== debian/control ===
Source: probcons
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/probcons/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/probcons/trunk/
Homepage: http://probcons.stanford.edu/

Package: probcons
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: probcons-extra
Enhances: t-coffee
Description: PROBabilistic CONSistency-based multiple sequence alignment
 Tool for generating multiple alignments of protein sequences. Using a
 combination of probabilistic modeling and consistency-based alignment
 techniques, PROBCONS has achieved the highest accuracies of all alignment
 methods to date. On the BAliBASE benchmark alignment database, alignments
 produced by PROBCONS show statistically significant improvement over current
 programs, containing an average of 7% more correctly aligned columns than
 those of T-Coffee, 11% more correctly aligned columns than those of CLUSTAL W,
 and 14% more correctly aligned columns than those of DIALIGN.

Package: probcons-extra
Architecture: any
Priority: extra
Depends: probcons (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gnuplot-nox | gnuplot-x11
Description: Extra programs from the probcons package
 Contains the convert, project and makgnuplot programs from the probcons
 package, which have been renamed to pc-compare, pc-project and pc-makegnuplot
 respectively to avoid collisions with other program names. These programs are
 mostly useful for testing purposes and are not required for the normal usage of
 Probcons.
 .
 Probcons is a tool for generating multiple alignments of protein
 sequences.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

BINARIES = probcons probcons-RNA pc-project pc-compare pc-makegnuplot

override_dh_auto_build:
	cp Main.cc Main-RNA.cc
	sed -i  s/Defaults.h/Defaults-RNA.h/ Main-RNA.cc
	cp debian/Defaults-RNA.h Defaults-RNA.h
	dh_auto_build

override_dh_link:
	rm -rf $(CURDIR)/debian/probcons-extra/usr/share/doc/probcons-extra
	dh_link -p probcons-extra usr/share/doc/probcons usr/share/doc/probcons-extra

override_dh_clean:
	dh_clean $(BINARIES) Main-RNA.cc Defaults-RNA.h

XP       = xsltproc \
		-''-nonet \
		-''-param man.charmap.use.subset "0" \
		-''-param make.year.ranges "1" \
		-''-param make.single.year.ranges "1" \
		-o debian/

manpages: debian/probcons.1.xml debian/probcons-RNA.1.xml debian/pc-project.1.xml debian/pc-compare.1.xml debian/pc-makegnuplot.1.xml
	$(XP) debian/probcons.1.xml
	$(XP) debian/probcons-RNA.1.xml
	$(XP) debian/pc-project.1.xml
	$(XP) debian/pc-compare.1.xml
	$(XP) debian/pc-makegnuplot.1.xml

=== debian/watch ===
version=3
http://probcons.stanford.edu/download.html probcons_v(\d+)_(\d+)\.tar\.gz
